corda / net.corda.contracts.asset / Obligation / generateCloseOutNetting

# generateCloseOutNetting

`fun generateCloseOutNetting(tx: TransactionBuilder, signer: CompositeKey, vararg states: State<P>): Unit`

Generate a transaction performing close-out netting of two or more states.

### Parameters

`signer` - the party who will sign the transaction. Must be one of the obligor or beneficiary.

`states` - two or more states, which must be compatible for bilateral netting (same issuance definitions, and same parties involved).